Bug 90284 - Documents that are expected to be modifiable shouldn't open in a view
Documents that are expected to be modifiable shouldn't open in a view
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-05-06 10:21 EDT by Julien Olivier
Modified: 2015-01-07 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 04:55:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2003-05-06 10:21:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr-FR; rv:1.2.1) Gecko/20030225

Description of problem:
In Nautilus, you can open documents in an application or you can open them in a
Nautilus' view. I think the default behaviour should be to open the document in
a view only if the document's type corresponds to a read-only file type.

For example, opening a video could be done in a Nautilus view (provided this
view has a way to play/pause/stop, go backwards/forwards, view in fullscreen,
disable the screensaver etc...) while opening a text file should be done in gedit.

For pictures, I imagine they should be opened in views as you seldom modify
pictures (except for image professionals). But, like for videos, if you open
pictures in a view, you have to be sure that this view is powerful enough to
enable suers to view other pictures quickly (using thumbnails or previous/next
buttons), start a slide show, view in fullscreen etc...

I think the important point is that views should be used only if they are
powerful enough not to prevent users to preform the basic tasks they are
expected to perform with each type of document (those basic tasks depend on the
document's type) because it can be confusing to get "trapped" in a view and not
knowing what to do...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual Results:  N.A.

Expected Results:  N.A.

Additional info:

Comment 1 Alexander Larsson 2003-05-16 08:34:27 EDT
There is no way Nautilus can second guess how the user wants to open a file.
That is why nautilus allows you to both open in a view and with an app. Plus you
can select what you want to do by default.
Comment 2 Julien Olivier 2003-05-16 10:40:57 EDT
In fact, I was asking _Redhat_ to fix the defaults, not you (Alex) to fix
Nautilus, as I already know that Nautilus can do that.
Comment 3 Alexander Larsson 2003-05-19 04:55:02 EDT
Well. I totally disagree with you on text files for instance (I read them much
more often than I edit them when browsing with Nautilus), and there has been a
lot of discussions about views vs apps on the mailing list, so its clear that
this is not an trivial choice. 

Red hat will not change the defaults of the core types, since that would be
subverting the direction of the Gnome project. If you want to affect the future
direction of the Nautilus user experience, please take part in the Gnome project.

Note You need to log in before you can comment on or make changes to this bug.